Bug 378439 - KMail - search is "one-shot" only
Summary: KMail - search is "one-shot" only
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Applications
Component: search (show other bugs)
Version: 5.3.0
Platform: OpenSUSE Linux
: NOR major with 20 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-04 16:10 UTC by Don Curtis
Modified: 2017-06-14 12:00 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Don Curtis 2017-04-04 16:10:42 UTC
openSUSE Leap 42.2 -- plasma5-workspace: 5.8.6-8.1 (LTS)
Linux (x86_64) release 4.4.57-18.3-default
KMail: Version 5.3.0 (QtWebEngine)
  Under:
   - KDE Frameworks 5.26.0
   - Qt 5.6.1 (compiled against 5.6.1)
   - The xcb window system

Provided that, the "Search" folder does not exist, the Tools menu "Find messages" function ("S") executes as expected.

Subsequent searches do not execute as expected:
 - The result of the initial "Find messages" execution remains unchanged.

If, by means of "right-click" on the Search results folder, the last search results are cleared (need to first click on other mail folder before the option to delete changes from "Delete folder" to "Delete search") -- after noticing the message indicating that, the original searched for and found e-Mails will remain at their original location, the original e-Mails are no longer displayed in the original folder view.

Closing down KMail and then restarting it, restores the display of the "searched for and found" e-Mails in their respective Mail folders and, a new "Find messages" search can be executed.

----------------------------------------------------------

The URL for the relevant KMail Handbook entry is:
<https://docs.kde.org/stable5/en/pim/kmail2/menus.html#reader-tools-menu>
(It doesn't mention that, the Search folder has to be deleted and, that KMail has to be closed down and then restarted.)
Comment 1 farandole 2017-04-15 13:23:07 UTC
I experience the same or very similar issue in kmail 5.4.3 using Arch linux.

The only difference being that the initial search results contains false positive and missed the actual message I was looking for which I found manually.
Comment 2 Laurent Montel 2017-05-25 07:54:20 UTC
I think that it's fixed in 5.5.0